2018-12-11 07:23 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005413Talerbank (demonstrator)public2018-12-07 18:56
ReporterTorsten Grothoff 
Assigned ToMarcello Stanisci 
PriorityurgentSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformFirefoxOSLinuxOS VersionUbuntu 16.04 LTS
Product VersionSVN HEAD 
Target Version0.6Fixed in Version 
Summary0005413: put integer overflow in transfer
DescriptionError:
Environment:


Request Method: POST
Request URL: https://bank.demo.taler.net/profile

Django Version: 2.0.2
Python Version: 3.5.3
Installed Applications:
['django.contrib.admin',
 'django.contrib.auth',
 'django.contrib.contenttypes',
 'django.contrib.sessions',
 'django.contrib.messages',
 'django.contrib.staticfiles',
 'talerbank.app']
Installed Middleware:
['django.middleware.security.SecurityMiddleware',
 'django.contrib.sessions.middleware.SessionMiddleware',
 'django.middleware.common.CommonMiddleware',
 'django.middleware.csrf.CsrfViewMiddleware',
 'django.contrib.auth.middleware.AuthenticationMiddleware',
 'django.contrib.sessions.middleware.SessionMiddleware',
 'django.contrib.messages.middleware.MessageMiddleware',
 'django.middleware.clickjacking.XFrameOptionsMiddleware',
 'talerbank.app.middleware.ExceptionMiddleware']



Traceback:

File "/home/demo-blue/local/lib/python3.5/site-packages/django/core/handlers/base.py" in _get_response
  126. response = wrapped_callback(request, *callback_args, **callback_kwargs)

File "/home/demo-blue/local/lib/python3.5/site-packages/django/contrib/auth/decorators.py" in _wrapped_view
  21. return view_func(request, *args, **kwargs)

File "/home/demo-blue/local/lib/python3.5/site-packages/talerbank/app/views.py" in profile_page
  166. Amount.parse("%s:%s" % amount_parts),

File "/home/demo-blue/local/lib/python3.5/site-packages/talerbank/app/amount.py" in parse
  71. raise BadFormatAmount(amount_str)

During handling of the above exception (Bad format amount: KUDOS:4.389834795874395e+18), another exception occurred:

File "/home/demo-blue/local/lib/python3.5/site-packages/django/core/handlers/exception.py" in inner
  35. response = get_response(request)

File "/home/demo-blue/local/lib/python3.5/site-packages/django/core/handlers/base.py" in _get_response
  128. response = self.process_exception_by_middleware(e, request)

File "/home/demo-blue/local/lib/python3.5/site-packages/django/core/handlers/base.py" in process_exception_by_middleware
  168. response = middleware_method(request, exception)

File "/home/demo-blue/local/lib/python3.5/site-packages/talerbank/app/middleware.py" in process_exception
  62. True, False, exception.hint

Exception Type: AttributeError at /profile
Exception Value: 'BadFormatAmount' object has no attribute 'hint'
Steps To Reproducetype an integer overflow in "amount to transfer" thing and select person. then insert subject.
press transfer.
YOU SHALL NOW SEE THE ERROR!
Tagsbug, Error, intiger overflow, Taler, Urgent, Wallet
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0013394

Marcello Stanisci (manager)

Fixed long ago, couldn't find the commit..
+Notes

-Issue History
Date Modified Username Field Change
2018-07-28 17:17 Torsten Grothoff New Issue
2018-07-28 17:17 Torsten Grothoff Summary put intinger overflow in transfer => put integer overflow in transfer
2018-07-28 17:18 Torsten Grothoff Category Web site(s) => bank (demonstrator)
2018-07-28 17:24 Torsten Grothoff Tag Attached: Error
2018-07-28 17:24 Torsten Grothoff Tag Attached: bug
2018-07-28 17:24 Torsten Grothoff Tag Attached: sevear
2018-07-28 17:24 Torsten Grothoff Tag Detached: sevear
2018-07-28 17:24 Torsten Grothoff Tag Attached: Urgent
2018-07-28 17:24 Torsten Grothoff Tag Attached: intiger overflow
2018-07-28 17:25 Torsten Grothoff Tag Attached: Wallet
2018-07-28 17:25 Torsten Grothoff Tag Attached: Taler
2018-07-28 17:27 Torsten Grothoff OS => Linux
2018-07-28 17:27 Torsten Grothoff OS Version => Ubuntu 16.04 LTS
2018-07-28 17:27 Torsten Grothoff Platform => Firefox
2018-11-18 00:41 Christian Grothoff Assigned To => Marcello Stanisci
2018-11-18 00:41 Christian Grothoff Status new => assigned
2018-11-18 00:41 Christian Grothoff Product Version => SVN HEAD
2018-11-18 00:41 Christian Grothoff Target Version => 0.6
2018-12-07 18:56 Marcello Stanisci Status assigned => resolved
2018-12-07 18:56 Marcello Stanisci Resolution open => fixed
2018-12-07 18:56 Marcello Stanisci Note Added: 0013394
+Issue History